Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
%define fedora 29
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}


%global packagename es6-iterator
%global enable_tests 0
# tests disabled due to missing npm(tad) test suite

Name:		nodejs-es6-iterator
Version:	2.0.0
Release:	alt1_8
Summary:	Iterator abstraction based on ES6 specification

License:	MIT
URL:		https://github.com/medikoo/es6-iterator.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz

BuildArch:	noarch
%if 0%{?fedora} >= 19
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:	rpm-build-nodejs node-devel
%if 0%{?enable_tests}
BuildRequires:	npm(tad)
%endif

Requires:	node
Source44: import.info

%description
Iterator abstraction based on ES6 specification


%prep
%setup -q -n package

%nodejs_fixdep d "<=2.0.0"
# allow either the 0.1.x or 1.x.x series of npm(d) 


%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \#/ \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%if 0%{?enable_tests}
%{__nodejs} -e 'require("./")'
%{__nodejs} %{nodejs_sitelib}/tad/bin/tad
%else
echo "Tests are disabled..."
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md CHANGES
%doc --no-dereference LICENSE
%{nodejs_sitelib}/%{packagename}



%changelog
* Fri Mar 22 2019 Igor Vlasenko <viy@altlinux.ru> 2.0.0-alt1_8
- new version

* Fri Mar 22 2019 Igor Vlasenko <viy@altlinux.ru> 2.0.0-alt0.1.njs.bootstrap
- bootstrap

